Index: /trunk/language/en_UK/help/advanced_feature.html
===================================================================
--- /trunk/language/en_UK/help/advanced_feature.html	(revision 5392)
+++ /trunk/language/en_UK/help/advanced_feature.html	(revision 5393)
@@ -1,15 +1,15 @@
 <h2>Advanced features</h2>
 
-<p>List special functionnalties for expert PWG administrator:</p>
+<p>List special functionnalities for expert Piwigo administrators:</p>
 
 <ul>
 
   <li>
-    <strong>Not linked elements:</strong>
+    <strong>Unlinked elements:</strong>
     Display images which are not associated to any virtual category.
   </li>
   <li>
-    <strong>Files with same name in more than one physical category:</strong>
-    Display images or any files which are found with the same filename in some categories.
+    <strong>Files with the same name in more than one physical category:</strong>
+    Display images or files which are found with the same filename in several categories.
   </li>
 
Index: /trunk/language/en_UK/help/cat_modify.html
===================================================================
--- /trunk/language/en_UK/help/cat_modify.html	(revision 5392)
+++ /trunk/language/en_UK/help/cat_modify.html	(revision 5393)
@@ -6,8 +6,8 @@
 
   <li><strong>name</strong>: rename the category (a virtual rename in case 
-  of physical category).</li>
+  of a physical category).</li>
 
-  <li><strong>description</strong>: give a general idea of the content,
-  this text will be display under the thumbnail page.</li>
+  <li><strong>description</strong>: short text giving a general idea of the content,
+  this text will be displayed at the bottom of the thumbnails page.</li>
 
 </ul>
@@ -22,10 +22,10 @@
 <ul>
 
-  <li><strong>Access type</strong>: Permission management. If you make a
+  <li><strong>Access type</strong>: Permissions management. If you make a
   category private, all its child categories becomes private. If you make a
   category public, all its parent categories becomes public.</li>
 
   <li><strong>Lock</strong>: The category and its sub-categories will
-  temporary been disabled for maintenance.</li>
+  be temporary disabled for maintenance.</li>
 
   <li><strong>Comments</strong>: Authorize users to comment elements of this
@@ -33,10 +33,10 @@
 
   <li><strong>Authorize upload</strong>: Authorize users to upload
-  files. This option is available only if category is physical (not
-  virtual).</li>
+  images files. This option is available for physical (not
+  virtual) categories only .</li>
 
 </ul>
 
-<p>You can also manage these options with "Properties"
+<p>You can also manage these options on the "Properties"
 management screen (screens <span class="pwgScreen">Upload</span>, <span
 class="pwgScreen">Comments</span>, <span class="pwgScreen">Lock</span>,
@@ -47,37 +47,36 @@
 <h3>Sort order</h3>
 
-<p>Choose if the default sort order will be used.</p>
+<p>Use the default images sort order.</p>
 
-<p>Indicate if this sort order will be applied to subcategories.</p>
+<p>Indicate whether this sort order will apply to subcategories also.</p>
 
-<p>Select specific sort by columns to use with this category.</p>
+<p>Select specific sorting criteria to be used with this category.</p>
 <ul>
-<li><strong>Creation date</strong>: Picture creation date</li>
+<li><strong>Creation date</strong>: Picture shooting date</li>
 <li><strong>Post date</strong>: Synchronization date</li>
-<li><strong>Average rate (*)</strong>: Average rate could be changed by the visitor</li>
-<li><strong>Most visited (*)</strong>: The current visit change the most visited order</li>
-<li><strong>File name</strong>: Given name in informations field</li>
+<li><strong>Average rate (*)</strong>: Average rate could be changed by the visitor rating</li>
+<li><strong>Most visited (*)</strong>: The current visit might change the most visited order</li>
+<li><strong>File name</strong>: Name given in information field</li>
 <li><strong>Id</strong>: Internal Id (recent categories have an higher id than previous ones.</li>
 
 </ul>
-<p><strong>(*)</strong>Take care and test it for your self since it can give unpredictable results.</p>
+<p><strong>(*)</strong>Warning: Be sure to test these sort orders by yourself as they can give unexpected results.</p>
 
 
 <h3>Representant</h3>
 
-<p>The representant of the category is the thumbnail displayed to represent
-the category on main page (<span class="pwgScreen">category.php</span>) when
-a category contains only sub-categories (just as the root category).</p>
+<p>The category representative is the thumbnail displayed on the main page (<span class="pwgScreen">category.php</span>) to represent
+the category when
+it contains only sub-categories and no direct element (just as the root category).</p>
 
-<p>There are 4 ways to set the representative picture of a category :</p>
+<p>There are 4 different ways to set the representative picture of a category :</p>
 
 <ul>
 
-  <li><span class="pwgScreen">Picture page</span>: in the action buttons bar,
-  one of them let you set the displayed picture as representative for the
+  <li><span class="pwgScreen">Picture page</span>: one of the action buttons let you set the current picture as the representative for the
   displayed category. This button is available only for administrators.</li>
 
   <li><span class="pwgScreen">Modify informations about a picture</span> in
-  administration. This screen can be reach from <span
+  administration. This screen can be reached from <span
   class="pwgScreen">picture.php</span> or <span class="pwgScreen">Batch
   management</span> in <em>unit mode</em>. See the help of this screen for
@@ -87,27 +86,25 @@
   Representative</span>. See the help of this screen for details.</li>
 
-  <li><span class="pwgScreen">Edit a category</span> (this screen).</li>
+  <li><span class="pwgScreen">Edit a category</span> (the present screen).</li>
 
 </ul>
 
-<p>The representation depends on configuration parameter
-<code>allow_random_representative</code> (see <span
+<p>The choice of a representative depends on the 
+<code>allow_random_representative</code> configuration parameter (see <span
 class="filename">include/config_default.inc.php</span>).</p>
 
-<p>In default mode (<code>allow_random_representative</code> set to false)
+<p>In default mode (<code>allow_random_representative</code> set to false),
 each category containing at least one element is represented by a fixed
 element. Once set (at category creation), the representative changes only
-when an administrator ask for it. If the representant is not appropriate,
+when an administrator ask for it. If the representative is not appropriate,
 you can ask to <strong>Find a new representant by random</strong>.</p>
 
-<p>If configuration parameter <code>allow_random_representative</code> is
-set to true, a category containing elements can have no fixed
+<p>If the <code>allow_random_representative</code> configuration parameter is
+set to true, a category containing elements may have no fixed
 representant. Just use <strong>Delete representant</strong> button.</p>
 
-<p>If the category contains no element (but only sub-categories) it can be
-represented by any element thanks to screen <span class="pwgScreen">Modify
-informations about a picture</span>. The only option on the current screen
-is to <strong>Delete representant</strong> button, after using this button,
-no representant option to set anymore.</p>
+<p>If the category contains only sub-categories and no element, it can nonetheless be represented by any element thanks to <span class="pwgScreen">Modify
+informations about a picture</span> screen. The only option on the current screen
+is the <strong>Delete representant</strong> button.</p>
 
 <h3>Link all category elements to a new category</h3>
@@ -115,13 +112,13 @@
 <ul>
 
-<li><strong>Virtual category name</strong>: New category name to be created, 
+<li><strong>Virtual category name</strong>: Name of the new category to be created, 
 all pictures of the current category will be linked to the new one.</li>
 
 <li><strong>Parent category</strong>: Where the new category will be, 
-leave empty to create it from home.</li>
+leave empty to create it at root.</li>
 
 </ul>
 
-<h3>Link all category elements to some existing categories</h3>
+<h3>Link all category elements to existing categories</h3>
 
 <ul>
@@ -135,7 +132,7 @@
 <ul>
 
-<li><strong>Group</strong>: addressees group</li>
+<li><strong>Group</strong>: recipients group</li>
 
-<li><strong>Mail content</strong>: Free text to be sent to them.</li>
+<li><strong>Mail content</strong>: Free text to send to them.</li>
 
 </ul>  
Index: /trunk/language/en_UK/help/cat_move.html
===================================================================
--- /trunk/language/en_UK/help/cat_move.html	(revision 5392)
+++ /trunk/language/en_UK/help/cat_move.html	(revision 5393)
@@ -5,10 +5,10 @@
 <h3>Virtual categories to move</h3>
 
-<p>Select any virtual categories you want to move. 
-If the list is empty, that mean you didn't create one.</p>
+<p>Select one or several virtual categories you want to move. 
+If the list is empty, that mean you have not created one yet.</p>
 
 <h3>New parent category</h3>
 
-<p>Select the new parent (virtual or physical). 
-If you don't, virtual selected categories will be moved to the root.
-You can't move a category to itself or to one of its child.</p>
+<p>Select the new parent category (virtual or physical). 
+If you do not select any parent, the virtual selected categories will be moved to the root.
+A category cannot be moved into itself or to one of its child.</p>
Index: /trunk/language/en_UK/help/cat_options.html
===================================================================
--- /trunk/language/en_UK/help/cat_options.html	(revision 5392)
+++ /trunk/language/en_UK/help/cat_options.html	(revision 5393)
@@ -1,12 +1,10 @@
 <h2>Category options</h2>
 
-<p>This screen lets the administrator manage categories option for many
-categories at once.</p>
+<p>Options management for several categories at once.</p>
 
 <dl>
 
   <dt>Upload</dt>
-  <dd>Make categories uploadable for gallery visitors. Only non virtual and
-  non remote categories are shown.</dd>
+  <dd>Make categories uploadable for gallery visitors. The option ia available for physical local categories only.</dd>
 
   <dt>Comments</dt>
@@ -16,11 +14,11 @@
 
   <dt>Lock</dt>
-  <dd>Selected categories will temporary been disabled for maintenance. If
+  <dd>Selected categories will be temporaly disabled for maintenance. If
   you lock a category, all its child categories become locked. If you unlock
   a category, all its parent categories become unlocked.</dd>
 
   <dt>Public / private</dt>
-  <dd>Manage authorizations for selected categories. Selected categories are
-  private : you will need to authorize users and/or groups to access to
+  <dd>Authorizations exist for private categories only. When categories are
+  private, you will have to grant users and/or groups access to
   them. If you make a category private, all its child categories becomes
   private. If you make a category public, all its parent categories becomes
@@ -28,9 +26,8 @@
 
   <dt>Representative</dt>
-  <dd>This option can be managed only if you set configuration parameter
+  <dd>This option can be managed only if you set 
   <code>allow_random_representative</code> (see <span
-  class="filename">include/config_defaults.inc.php</span>) to
-  <em>true</em>. Each category can be randomly represented or singly
-  represented (by a unique picture).</dd>
+  class="filename">include/config_defaults.inc.php</span>) configuration parameter to
+  <em>true</em>. Each category can be represented by a random picture or by a picture chosen as unique representative.</dd>
 
 </dl>
Index: /trunk/language/en_UK/help/cat_perm.html
===================================================================
--- /trunk/language/en_UK/help/cat_perm.html	(revision 5392)
+++ /trunk/language/en_UK/help/cat_perm.html	(revision 5393)
@@ -1,15 +1,13 @@
 <h2>Manage permissions for a category</h2>
 
-<p>This screen is available only for a private category. Here you can select
-users and groups authorized for this category.</p>
+<p>This screen is only available for private categories. Here you can select
+users and groups authorized for a category.</p>
 
 <h3>Groups</h3>
 
-<p>You can deny or grant groups for the current category. By modifying
-groups authorizations, you'll probably modify the list of users granted to
-the category thanks to group belongings.</p>
+<p>You can deny or grant groups access for the current category. By modifying
+groups authorizations, the users belonging to these groups will be denied or granted access to the category.</p>
 
 <h3>Users</h3>
 
-<p>You can deny or grant individual users. Users granted thanks to group
-belongings can be denied or granted specifically.</p>
+<p>You can deny or grant access to individual users. Users that have access through a group can be denied access by exception.</p>
Index: /trunk/language/en_UK/help/group_list.html
===================================================================
--- /trunk/language/en_UK/help/group_list.html	(revision 5392)
+++ /trunk/language/en_UK/help/group_list.html	(revision 5393)
@@ -1,5 +1,5 @@
 <h2>Groups list</h2>
 
-<p>This is the place where you can manage defined groups.</p>
+<p>This is the place where you can manage groups.</p>
 
 <h3>Add a group</h3>
@@ -7,16 +7,16 @@
 <p>Administrator can add groups.</p>
 
-<h3>Groupes list</h3>
+<h3>Groups list</h3>
 
-<p>The list allows for each element to:</p>
+<p>For each element, the list allows to:</p>
 
 
 <ul>
-  <li>go to members list</li>
-  <li>go to permissions</li>
-  <li>delete the group (require a confirmation checkbox)</li>
-  <li>toggle status "default" (require a confirmation checkbox)</li>
+  <li>go to the members list</li>
+  <li>go to the permissions management screen</li>
+  <li>delete the group (requires a confirmation)</li>
+  <li>toggle status "default" (requires a confirmation)</li>
 </ul>
 
 <h3>Default groups</h3>
-<p>Default groups are groups associated automatically to new user.</p>
+<p>Default groups are groups that are automatically associated to each new user upon registration or creation by an administrator.</p>
Index: /trunk/language/en_UK/help/history.html
===================================================================
--- /trunk/language/en_UK/help/history.html	(revision 5392)
+++ /trunk/language/en_UK/help/history.html	(revision 5393)
@@ -1,21 +1,21 @@
 <h2>History</h2>
 
-<p>These screens allows you to follow the historical navigation en Piwigo
-according to the options yo have chosen in - Administration - General - History index.</p>
+<p>On these screens, you can monitor your gallery visits history
+according to the options you have chosen in - Administration - General - History index.</p>
 	
 <h3>Statistics</h3>
 <ul>
-  <p>If you have chosen to keep the pages visited (<span
+  <p>If you have chosen to record the(<span
 class="pwgScreen">index.php</span> and <span
-class="pwgScreen">picture.php</span>) in the table <code>history. </code>
-This index allow you to follow the pages visited.</p>
+class="pwgScreen">picture.php</span>) visited pages in the table <code>history</code>, 
+you can monitor them from this tab.</p>
 	
-	<li><strong>Global statistics</strong> : you can visualize per year. </li>
+	<li><strong>Global statistics</strong>: visits per year. </li>
 	
-	<li><strong>Yearly statistics</strong> : you can visualize per month in the year selected.</li>
+	<li><strong>Yearly statistics</strong>: visits per month in the selected year .</li>
 	
-	<li><strong>Monthly statistics</strong> : you can visualize per days in the month selected.</li>
+	<li><strong>Monthly statistics</strong>: visits per days in the selected month .</li>
 	
-	<li><strong>Dayly statistics</strong> : you can visualize per hours in the day selected.</li>
+	<li><strong>Daily statistics</strong>: visits per hours in the selected day.</li>
 	
 </ul>
@@ -23,23 +23,22 @@
 <h3>Search</h3>
 <ul>
-  <p>If you have chosen to keep the pages visited (<span
+  <p>If you have chosen to record the (<span
 class="pwgScreen">index.php</span> and <span
-class="pwgScreen">picture.php</span>) in the table <code>history. </code>
-This index allow to follow en details the pages visited on the site with 
-the help of different filters.</p>
+class="pwgScreen">picture.php</span>) pages visited in the table <code>history. </code>, you can browse the details of the visited pages from this tab, 
+with the help of different filters.</p>
  
-	<li><strong>Filter per date</strong> : chose interval of date you wisk
+	<li><strong>Filter per date</strong> : choose the date range you want
 	to observe the activity.</li>
 	
-	<li><strong>Filter per type of element</strong> : chose the type 
-	of element you wisk to observe the activity.</li>
+	<li><strong>Filter per type of element</strong> : choose the type 
+	of element you want to observe the activity.</li>
 	
-	<li><strong>Filter per user</strong> : chose user you wisk to 
+	<li><strong>Filter per user</strong> : choose the user you want to 
 	observe the activity.</li>
 	
-	<li><strong>Filter per name of the file</strong> : chose name of the file 
-	you	wisk to observe the activity.</li>
+	<li><strong>Filter per name of the file</strong> : choose the file name 
+	you	want to observe the activity.</li>
 	
-	<li><strong>Filter per identifying image</strong> : chose identifying image 
-	you wisk to observe the activity.</li>
+	<li><strong>Filter per image identifier</strong> : choose the image identifier 
+	you want to observe the activity.</li>
 </ul>
Index: /trunk/language/en_UK/help/notification_by_mail.html
===================================================================
--- /trunk/language/en_UK/help/notification_by_mail.html	(revision 5392)
+++ /trunk/language/en_UK/help/notification_by_mail.html	(revision 5393)
@@ -1,7 +1,7 @@
 <h2>Notification by mail</h2>
 
-<p>This screen allows to configure and manage email notifications to users of news on your site.</p>
+<p>This screen allows to configure and manage email to users, to notify them of changes to your site.</p>
 
-<p>This screen is composed of 3 tabs:</p>
+<p>This screen comprises 3 tabs:</p>
 
 <h3>Parameters</h3>
@@ -9,7 +9,7 @@
 
 <h3>Subscribe</h3>
-<p>Available only for webmasters, this tab manages subscription/unsubscription of users to email notifications.</p>
+<p>Available only for webmasters, this tab manages users subscription/unsubscription to email notifications.</p>
 
 <h3>Envoi</h3>
-<p>Available only for webmasters and administrators, this tab allows to send mails to notify news.</p>
+<p>Available only for webmasters and administrators, this tab allows to send mails to notify of changes.</p>
 
Index: /trunk/language/fr_FR/help/advanced_feature.html
===================================================================
--- /trunk/language/fr_FR/help/advanced_feature.html	(revision 5392)
+++ /trunk/language/fr_FR/help/advanced_feature.html	(revision 5393)
@@ -1,5 +1,5 @@
 <h2>Fonctions avancées</h2>
 
-<p>Liste des fonctionnalités spéciales pour les administrateurs experts de PWG:</p>
+<p>Liste des fonctionnalités spéciales pour les administrateurs experts de Piwigo :</p>
 
 <ul>
@@ -7,8 +7,8 @@
   <li>
     <strong>Eléments non liés:</strong>
-    Affiche les images qui ne sont pas associées à une catégorie virtuelle
+    Affiche les images qui ne sont associées à aucune catégorie virtuelle
   </li>
   <li>
-    <strong>Fichiers portant le même nom dans plusieurs catégories physiques:</strong>
+    <strong>Fichiers portant le même nom dans plusieurs catégories physiques :</strong>
     Affiche les images ou les éventuels fichiers qui pourraient être trouvés dans plusieurs catégories.
   </li>
Index: /trunk/language/fr_FR/help/cat_modify.html
===================================================================
--- /trunk/language/fr_FR/help/cat_modify.html	(revision 5392)
+++ /trunk/language/fr_FR/help/cat_modify.html	(revision 5393)
@@ -8,6 +8,6 @@
   une catégorie physique).</li>
 
-  <li><strong>description</strong>: donner une idée du contenu de la catégorie,
-  cette indication figurera sous la page des miniatures.</li>
+  <li><strong>description</strong>: un texte bref donnant une idée du contenu de la catégorie,
+  cette indication figurera en bas de la page des miniatures.</li>
 
 </ul>
@@ -53,9 +53,9 @@
 <p>Indiquer si le tri s'applique également aux sous-catégories.</p>
 
-<p>Sélectionner les colonnes du tri à utiliser pour cette catégorie.</p>
+<p>Sélectionner les critères de tri à utiliser pour cette catégorie.</p>
 <ul>
 <li><strong>Date de création</strong>: Date de prise de vue</li>
 <li><strong>Date d'ajout</strong>: Date de la synchronisation</li>
-<li><strong>Note moyenne (*)</strong>: laquelle moyenne pourrait être modifiée par le visiteur</li>
+<li><strong>Note moyenne (*)</strong>: cette moyenne peut être modifiée par la notation du visiteur</li>
 <li><strong>Plus vues (*)</strong>: La visite en cours peut changer l'ordre des plus vues</li>
 <li><strong>Nom du fichier</strong>: Nom du fichier donné dans les champs d'informations ci-dessus</li>
@@ -63,21 +63,20 @@
 
 </ul>
-<p><strong>(*)</strong>Attention: testez-vous même ces tris qui peuvent donner des résultats imprévisibles.</p>
+<p><strong>(*)</strong>Attention: testez-vous même ces tris qui peuvent donner des résultats imprévus.</p>
 
 
 <h3>Représentant</h3>
 
-<p>Le représentant d'une catégorie est la miniature affichée pour
-représenter la catégorie sur la page principale (<span
-class="pwgScreen">category.php</span>) lorsqu'une catégorie contient
-uniquement des sous-catégories et pas d'éléments directs (comme à la
+<p>Le représentant d'une catégorie est la miniature affichée sur la page principale (<span
+class="pwgScreen">category.php</span>) pour
+représenter la catégorie lorsque celle-ci ne contient
+que des sous-catégories et aucun élément direct (comme à la
 racine)</p>
 
-<p>Il existe 4 moyens de choisir le représentant d'une catégorie:</p>
+<p>Il existe 4 moyens différents de choisir le représentant d'une catégorie:</p>
 
 <ul>
 
-  <li><span class="pwgScreen">Page d'affichage des images</span>: dans la barre des boutons
-d'action, l'un d'eux permet de choisir l'élément affiché comme représentant
+  <li><span class="pwgScreen">Page d'affichage des images</span>: un des boutons d'action permet de choisir l'élément courant comme représentant
 de la catégorie affichée. Ce bouton d'action n'est disponible que pour les
 administrateurs.</li>
@@ -97,9 +96,9 @@
 </ul>
 
-<p>La représentation dépend du paramètre de configuration
+<p>Le choix d'un représentant dépend du paramètre de configuration
 <code>allow_random_representative</code> (voir <span
 class="filename">include/config_default.inc.php</span>).</p>
 
-<p>Par défaut (<code>allow_random_representative</code> à false) chaque
+<p>Par défaut (<code>allow_random_representative</code> à false), chaque
 catégorie contenant au moins un élément est représenté par un élément
 fixe. Une fois fixé (à la création de la catégorie), le représentant change
@@ -113,8 +112,7 @@
 représentant</strong>.</p>
 
-<p>Si la catégorie ne contient aucun élément (mais uniquement des 
-sous-catégories) elle peut quand même être représentée par n'importe quel 
+<p>Si la catégorie ne contient que des sous-catégories et aucun élément, elle peut cependant être représentée par n'importe quel 
 élément grâce à l'écran <span class="pwgScreen">Modifier les informations 
-d'une image</span>. La seule option du présent écran est le bouton
+d'une image</span>. La seule option disponible sur le présent écran est le bouton
 <strong>Supprimer le représentant</strong>.</p>
 
@@ -126,5 +124,5 @@
 toutes les images de la catégorie en cours seront liées à la nouvelle.</li>
 
-<li><strong>Catégorie parente</strong>: Où la nouvelle catégorie doit être, 
+<li><strong>Catégorie parente</strong>: A quel endroit la nouvelle catégorie doit être placée, 
 laisser vide pour la créer sur la page d'accueil.</li>
 
Index: /trunk/language/fr_FR/help/cat_move.html
===================================================================
--- /trunk/language/fr_FR/help/cat_move.html	(revision 5392)
+++ /trunk/language/fr_FR/help/cat_move.html	(revision 5393)
@@ -12,4 +12,4 @@
 <p>Sélectionnez la nouvelle catégorie parente (virtuelle ou physique). 
 Si vous n'en sélectionnez aucune, 
-les catégories à déplacer seront remontée à la racine des catégories.
+les catégories à déplacer seront remontées à la racine des catégories.
 Vous ne pouvez déplacer une catégorie dans elle-même ou ses enfants.</p>
Index: /trunk/language/fr_FR/help/cat_options.html
===================================================================
--- /trunk/language/fr_FR/help/cat_options.html	(revision 5392)
+++ /trunk/language/fr_FR/help/cat_options.html	(revision 5393)
@@ -8,11 +8,10 @@
 
   <dd>Rendre les catégories autorisées à l'ajout par les visiteurs. Cette
-option n'est pas disponible pour les catégories virtuelles et
-distantes.</dd>
+option n'est disponible que pour les catégories physiques locales.</dd>
   
-  <dt>Commentaires utilisateur</dt>
+  <dt>Commentaires utilisateurs</dt>
 
-  <dd>Autoriser les utilisateurs à ajouter des commentaires dans les catégories sélectionnée.
-Par héritage, une image est commentable si elle appartient à au moins une catégorie commentable.</dd>
+  <dd>Autoriser les utilisateurs à ajouter des commentaires dans les catégories sélectionnées.
+Une image sera commentable si elle appartient à au moins une catégorie commentable.</dd>
   
   <dt>Verrouiller</dt>
@@ -25,8 +24,7 @@
   <dt>Publique / Privée</dt>
 
-  <dd>Gestion du statut des catégories. Les permissions ne sont possibles
-que pour les catégories privées. Une fois qu'une catégorie est privée, vous
-devez explicitement autoriser les utilisateurs ou les groupes à y
-accéder. Lorsqu'une catégorie devient privée, toutes les catégories enfant
+  <dd>Les permissions n'existent que pour les catégories privées. Une fois qu'une catégorie est privée, il vous faut
+explicitement autoriser les utilisateurs ou les groupes à y
+accéder. Lorsqu'une catégorie devient privée, toutes les catégories enfants
 deviennent privées. Lorsqu'une catégorie devient publique, toutes les
 catégories parentes deviennent publiques.</dd>
@@ -36,7 +34,6 @@
   <dd>Cette option est disponible uniquement si le paramètre de
 configuration <code>allow_random_representative</code> (voir <span
-class="filename">include/config_default.inc.php</span>) est
-<em>true</em>. Chaque catégorie peut-être représentée au hasard ou par une
-miniature fixe unique.</dd>
+class="filename">include/config_default.inc.php</span>) vaut
+<em>true</em>. Chaque catégorie peut-être représentée par une image prise au hasard ou par une seule miniature fixe.</dd>
 
 </dl>
Index: /trunk/language/fr_FR/help/cat_perm.html
===================================================================
--- /trunk/language/fr_FR/help/cat_perm.html	(revision 5392)
+++ /trunk/language/fr_FR/help/cat_perm.html	(revision 5393)
@@ -2,15 +2,13 @@
 
 <p>Cet écran n'est disponible que pour les catégories privées. Ici vous
-pourrez sélectionner les utilisateurs et les groupes autorisés pour cette
+pourrez sélectionner les utilisateurs et les groupes autorisés pour une
 catégorie.</p>
 
 <h3>Groupes</h3>
 
-<p>Vous pouvez autoriser ou interdire l'accès aux groupes. En modifiant les
-autorisations des groupes, vous modifierez probablement la liste des
-utilisateurs autorisés grâce à l'appartenance aux groupes.</p>
+<p>Vous pouvez autoriser ou interdire l'accès des groupes à la catégorie courante. Les utilisateurs appartenant à ces groupes se verront autoriser ou interdire l'accès à la catégorie.</p>
 
 <h3>Utilisateurs</h3>
 
 <p>Vous pouvez autoriser ou interdire l'accès aux utilisateurs
-individuellement.</p>
+individuellement. Les utilisateurs autorisés par ailleurs grâce à leur appartenance à un groupe peuvent se voir supprimer l'accès par exception.</p>
Index: /trunk/language/fr_FR/help/group_list.html
===================================================================
--- /trunk/language/fr_FR/help/group_list.html	(revision 5392)
+++ /trunk/language/fr_FR/help/group_list.html	(revision 5393)
@@ -1,5 +1,5 @@
 <h2>Liste des groupes</h2>
 
-<p>Manipulation des propriétés des groupes définis.</p>
+<p>Administration des propriétés des groupes.</p>
 
 <h3>Ajouter un groupe</h3>
@@ -19,3 +19,3 @@
 
 <h3>Groupes par défaut</h3>
-<p>Les groupes par défaut sont les groupes associés automatiquement à chaque nouvel utilisateur.</p>
+<p>Les groupes par défaut sont des groupes associés automatiquement à chaque nouvel utilisateur lors de son enregistrement ou de sa création par un administrateur.</p>
Index: /trunk/language/fr_FR/help/history.html
===================================================================
--- /trunk/language/fr_FR/help/history.html	(revision 5392)
+++ /trunk/language/fr_FR/help/history.html	(revision 5393)
@@ -13,15 +13,11 @@
 cet onglet permet de suivre le nombre de pages visitées</p>
 	
-	<li><strong>Statistiques totales</strong> : vous visualisez les statistiques
-	par année</li>
+	<li><strong>Statistiques totales</strong> : visites par année</li>
 	
-	<li><strong>Statistiques d'une année</strong> : vous visualisez les statistiques
-	des mois de l’année sélectionnée.</li>
+	<li><strong>Statistiques d'une année</strong> : visites par mois de l’année sélectionnée.</li>
 	
-	<li><strong>Statistiques d'un mois</strong> : vous visualisez les statistiques
-	des jours du mois sélectionné.</li>
+	<li><strong>Statistiques d'un mois</strong> : visites par jour du mois sélectionné.</li>
 	
-	<li><strong>Statistiques d'une journée</strong> : vous visualisez les statistiques
-	des heures de la journée sélectionnée.</li>
+	<li><strong>Statistiques d'une journée</strong> : visites par heures de la journée sélectionnée.</li>
 	
 </ul>
@@ -32,10 +28,8 @@
 class="pwgScreen">index.php</span> et <span
 class="pwgScreen">picture.php</span> soient
-enregistrées dans la table <code>history</code>.
- Cet onglet permet de suivre plus en détail les pages explorées
- sur votre site avec l'aide de différents filtres.</p>
+enregistrées dans la table <code>history</code>, cet onglet permet de suivre plus en détail les pages visitées avec l'aide de différents filtres.</p>
  
 	<li><strong>Filtrer par date</strong> : sélectionner la plage
- d'observation dont vous souhaitez observer l’activité.</li>
+de dates dont vous souhaitez observer l’activité.</li>
 	
 	<li><strong>Filtrer par type d'élément</strong> : sélectionner le
@@ -48,5 +42,5 @@
  souhaitez observer l’activité.</li>
 	
-	<li><strong>Filtrer par identifiant image</strong> : sélectionner l'identifiant image dont vous
+	<li><strong>Filtrer par identifiant image</strong> : sélectionner l'identifiant de l'image dont vous
  souhaitez observer l’activité.</li>
 </ul>
Index: /trunk/language/fr_FR/help/notification_by_mail.html
===================================================================
--- /trunk/language/fr_FR/help/notification_by_mail.html	(revision 5392)
+++ /trunk/language/fr_FR/help/notification_by_mail.html	(revision 5393)
@@ -1,5 +1,5 @@
 <h2>Notification par mail</h2>
 
-<p>Cet écran permet de configurer, de gérer la notification aux utilisateurs de changements par l'envoi d'un mail.</p>
+<p>Cet écran permet de configurer et de gérer les envois de mails aux utilisateurs, pour les notifier de changements intervenus sur votre site.</p>
 
 <p>Cet écran est composé de 3 onglets:</p>