Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 5378)
+++ trunk/language/nl_NL/admin.lang.php	(revision 5409)
@@ -50,5 +50,5 @@
 $lang['%d waiting pictures validated'] = '%d plaatje\'s toegestaan';
 $lang['Actions'] = 'Acties';
-$lang['Activate'] = 'Activatie';
+$lang['Activate'] = 'Activeer';
 $lang['Add/delete a permalink'] = 'Toevoegen/verwijderen van een permalink';
 $lang['Add a tag'] = 'Voeg een tag toe';
@@ -106,5 +106,5 @@
 $lang['History'] = 'Geschiedenis';
 $lang['Informations'] = 'Informatie';
-$lang['Install'] = 'Installatie';
+$lang['Install'] = 'Installeer';
 $lang['Link all category elements to a new category'] = 'Link alle categorie-afbeeldingen aan een nieuwe categorie';
 $lang['Link all category elements to some existing categories'] = 'Link alle categorie-afbeeldingen aan bestaande categorieën';
@@ -170,5 +170,5 @@
 $lang['Statistics'] = 'Statistieken';
 $lang['Storage category'] = 'Opslag categorie';
-$lang['Sum of rates'] = 'Eindoordeel';
+$lang['Sum of rates'] = 'Eindbeoordeling';
 $lang['Tag "%s" already exists'] = 'Tag "%s" bestaat al';
 $lang['Tag "%s" was added'] = 'Tag "%s" is toegevoegd';
@@ -178,7 +178,7 @@
 $lang['The %d following tags were deleted'] = 'De %d volgende tags zijn verwijderd';
 $lang['Unable to check for upgrade.'] = 'Het is niet mogelijk om een upgradecontrole uit te voeren.';
-$lang['Uninstall'] = 'Deinstalleren';
+$lang['Uninstall'] = 'Deinstaleer';
 $lang['Use the default image sort order (defined in the configuration file)']='Gebruik de standaard sortering (gedefinieerd in het configuratiebestand)';
-$lang['User comments validation'] = 'Gebruikers-commentaar valideren';
+$lang['User comments validation'] = 'Gebruikers-commentaren die wachten op validatie';
 $lang['Users'] = 'Gebruikers';
 $lang['Validate All'] = 'Valideer alles';
@@ -203,13 +203,13 @@
 $lang['The name of a category should not be empty'] = 'De naam van een categorie mag niet leeg zijn';
 $lang['Lock categories'] = 'Sluit categorieën';
-$lang['Private category'] = 'privé categorie';
+$lang['Private category'] = 'Privé categorie';
 $lang['Public category'] = 'Publieke categorie';
 $lang['Find a new representant by random'] = 'Vindt een willekeurige nieuwe representant';
-$lang['Public / Private'] = 'Publiek / privé';
+$lang['Public / Private'] = 'Publiek / Privé';
 $lang['Manage authorizations for selected categories'] = 'Beheer toegang voor geselecteerde categorieën';
 $lang['Select uploadable categories'] = 'Selecteer uploadable categorieën';
 $lang['Virtual category added'] = 'Virtuele categorie toegevoegd';
 $lang['Virtual category deleted'] = 'Virtuele categorie verwijderd';
-$lang['Category'] = 'categorie';
+$lang['Category'] = 'Categorie';
 $lang['Access type'] = 'Toegangstype';
 $lang['Comments'] = 'Commentaar';
@@ -232,5 +232,5 @@
 $lang['elements'] = 'afbeeldingen';
 $lang['High definition enabled'] = 'Hoge kwaliteit ingeschakeld';
-$lang['File'] = 'bestand';
+$lang['File'] = 'Bestand';
 $lang['Filesize'] = 'bestandsgrootte';
 $lang['first element added on %s'] = 'eerste afbeelding toegevoegd op %s';
@@ -255,5 +255,5 @@
 $lang['manage category elements'] = 'Beheer categorie-afbeeldingen';
 $lang['manage sub-categories'] = 'Beheer sub-categorie';
-$lang['Manage'] = 'Beheren';
+$lang['Manage'] = 'Beheer';
 $lang['maximum height'] = 'maximale hoogte';
 $lang['maximum width'] = 'maximale breedte';
@@ -368,9 +368,9 @@
 $lang['status'] = 'Status';
 $lang['Directory'] = 'Map';
-$lang['sub-categories'] = 'sub-categorie';
+$lang['sub-categories'] = 'Sub-categorie';
 $lang['synchronize metadata'] = 'synchroniseer metadata';
 $lang['synchronize'] = 'synchroniaeer';
 $lang['target'] = 'Doel';
-$lang['Thumbnail'] = 'thumbnail';
+$lang['Thumbnail'] = 'Mini-afbeelding';
 $lang['title'] = 'titel';
 $lang['Categories management'] = 'Categorie beheer';
@@ -383,5 +383,5 @@
 $lang['Thumbnail creation'] = 'Thumbnails maken';
 $lang['Database synchronization with files'] = 'Database synchronisatie met bestanden';
-$lang['Pictures waiting for validation'] = 'afbeeldingen wachten op bevestiging';
+$lang['Pictures waiting for validation'] = 'Afbeeldingen die wachten op validatie';
 $lang['all'] = 'alles';
 $lang['pictures without thumbnail (jpeg and png only)'] = 'afbeeldingen zonder thumbnail (alleen jpeg en png)';
@@ -456,5 +456,5 @@
 $lang['Users'] = 'Gebruikers';
 $lang['Virtual category'] = 'Virtuele categorieën';
-$lang['Waiting'] = 'Wachten';
+$lang['Waiting'] = 'Valideer';
 $lang['default'] = 'standaard';
 $lang['Toggle \'default group\' property'] = 'Aanpassen \'standaard groep\' eigenschap';
@@ -474,5 +474,5 @@
 $lang['Element'] = '';
 $lang['Section'] = 'sectie';
-$lang['Tags'] = 'tags';
+$lang['Tags'] = 'Tags';
 $lang['Save page visits by guests'] = 'Bewaar geschiedenis van pagina-bezoek van gasten';
 $lang['Save page visits by users'] = 'Bewaar geschiedenis van pagina-bezoek van gebruikers';
@@ -532,5 +532,5 @@
 $lang['User "%s" created with "%s" like password'] = 'Gebruiker "%s" gemaakt met wachtwoord "%s" ';
 $lang['Status of user "%s" updated'] = 'Status van de gebruiker "%s" is bijgewerkt';
-$lang['add new elements to caddie'] = 'Voeg nieuwe afbeeldingen toe aan winkelmandje';
+$lang['add new elements to caddie'] = 'voeg nieuwe afbeeldingen toe aan winkelmandje';
 $lang['No display'] = 'Geen weergave';
 $lang['Classic display'] = 'Klassieke weergave';
@@ -621,5 +621,5 @@
 $lang['nothing'] = 'niets';
 $lang['overrides existing values with empty ones'] = 'overschrijft de bestaande waarden met lege waardes';
-$lang['Drag to re-order'] = 'sleep om te herschikken';
+$lang['Drag to re-order'] = 'Sleep om volgorde te veranderen';
 $lang['Unable to retrieve server informations since allow_url_fopen is disabled.'] = 'Kan geen server verkrijgen omdat allow_url_fopen is uitgeschakeld.';
 $lang['Quick Local Synchronization'] = 'Snelle lokale Synchronisatie';
Index: trunk/language/nl_NL/common.lang.php
===================================================================
--- trunk/language/nl_NL/common.lang.php	(revision 5378)
+++ trunk/language/nl_NL/common.lang.php	(revision 5409)
@@ -54,5 +54,5 @@
 $lang['At least one tag must match'] = 'Op zijn minst moet een tag kloppen';
 $lang['Author'] = 'Auteur';
-$lang['Average rate'] = 'Gemiddeld oordeel';
+$lang['Average rate'] = 'Gemiddelde beoordeling';
 $lang['Categories'] = 'Categorieën';
 $lang['Category'] = 'Categorie';
@@ -116,5 +116,5 @@
 $lang['Since'] = 'Sinds';
 $lang['Sort by'] = 'Sorteren op';
-$lang['Sort order'] = 'Sorteer-volgorde';
+$lang['Sort order'] = 'Sorteervolgorde';
 $lang['Tag'] = 'Tag';
 $lang['Tags'] = 'Tags';
@@ -180,5 +180,5 @@
 $lang['download'] = 'download';
 $lang['download this file'] = 'download dit bestand';
-$lang['edit'] = 'bewerk(en)';
+$lang['edit'] = 'Bewerk(en)';
 $lang['wrong date'] = 'verkeerde datum';
 $lang['excluded'] = 'uitsluiten';