Index: /extensions/grum_plugins_classes-2/common_plugin.class.inc.php
===================================================================
--- /extensions/grum_plugins_classes-2/common_plugin.class.inc.php	(revision 5423)
+++ /extensions/grum_plugins_classes-2/common_plugin.class.inc.php	(revision 5424)
@@ -2,6 +2,6 @@
 /* -----------------------------------------------------------------------------
   class name: common_plugin
-  class version: 2.0.1
-  date: 2009-07-24
+  class version: 2.0.2
+  date: 2010-03-28
 
   ------------------------------------------------------------------------------
@@ -39,4 +39,6 @@
   2.0.1     - 2009-07-24
              config loader : better management for arrays items
+  2.0.2     - 2010-03-28
+  *           Uses piwigo pwg_db_* functions instead of mysql_* functions
 
   --------------------------------------------------------------------------- */
@@ -53,5 +55,5 @@
   protected $plugin_admin_file = "plugin_admin";
   protected $tables;   // list of all tables names used by plugin
-  private $debug_file; 
+  private $debug_file;
   public $my_config;     // array of config parameters
 
@@ -82,5 +84,5 @@
 
   /* ---------------------------------------------------------------------------
-     CONFIGURATION RELATED FUNCTIONS 
+     CONFIGURATION RELATED FUNCTIONS
   --------------------------------------------------------------------------- */
 
@@ -100,21 +102,21 @@
     if($result)
     {
-      $row=mysql_fetch_row($result);
-      if(is_string($row[0])) 
+      $row=pwg_db_fetch_row($result);
+      if(is_string($row[0]))
       {
         $config = unserialize($row[0]);
         reset($config);
-        while (list($key, $val) = each($config)) 
-        { 
+        while (list($key, $val) = each($config))
+        {
           if(is_array($val))
           {
             foreach($val as $key2 => $val2)
             {
-              $this->my_config[$key][$key2]=$val2; 
+              $this->my_config[$key][$key2]=$val2;
             }
           }
           else
           {
-            $this->my_config[$key] =$val; 
+            $this->my_config[$key] =$val;
           }
         }
@@ -126,11 +128,11 @@
   public function save_config()
   {
-    $sql="REPLACE INTO ".CONFIG_TABLE." 
+    $sql="REPLACE INTO ".CONFIG_TABLE."
            VALUES('".$this->plugin_name_files."_config', '"
-           .serialize($this->my_config)."', '')"; 
+           .serialize($this->my_config)."', '')";
     $result=pwg_query($sql);
-    if($result) 
-    { return true; } 
-    else 
+    if($result)
+    { return true; }
+    else
     { return false; }
   }
@@ -139,10 +141,10 @@
   public function delete_config()
   {
-    $sql="DELETE FROM ".CONFIG_TABLE." 
-          WHERE param='".$this->plugin_name_files."_config'"; 
+    $sql="DELETE FROM ".CONFIG_TABLE."
+          WHERE param='".$this->plugin_name_files."_config'";
     $result=pwg_query($sql);
-    if($result) 
-    { return true; } 
-    else 
+    if($result)
+    { return true; }
+    else
     { return false; }
   }
@@ -166,5 +168,5 @@
 
   /* ---------------------------------------------------------------------------
-     ADMINISTRATOR CONSOLE RELATED FUNCTIONS 
+     ADMINISTRATOR CONSOLE RELATED FUNCTIONS
   --------------------------------------------------------------------------- */
 
@@ -208,5 +210,5 @@
       $fhandle=fopen($this->debug_file, "a");
     }
-    
+
     if($fhandle)
     {
Index: /extensions/grum_plugins_classes-2/main.inc.php
===================================================================
--- /extensions/grum_plugins_classes-2/main.inc.php	(revision 5423)
+++ /extensions/grum_plugins_classes-2/main.inc.php	(revision 5424)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Grum Plugins Classes.2
-Version: 2.0.4
+Version: 2.0.5
 Description: Collection de classes partagées entre mes plugins (existants, ou à venir) / Partaged classes between my plugins (actuals or futures)
 Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=199
@@ -28,5 +28,5 @@
 | 2.0.3   | 2009/07/24 | * modify common_plugin class config loader (r2.0.1)
 | 2.0.4   | 2009/11/29 | * modify users class
-|         |            |
+| 2.0.5   | 2010/03/28 | * Uses piwigo pwg_db_* functions instead of mysql_* functions
 |         |            |
 
@@ -39,12 +39,12 @@
 Classes version for this package
     ajax.class.php -v2.0 + ajax.js -v1.0.1
-    common_plugin.class.php -v2.0.1
+    common_plugin.class.php -v2.0.2
     css.class.php -v2.0
     pages_navigation.class.php -v1.0
     public_integration.class.php -v1.0
-    tables.class.php -v1.4
+    tables.class.php -v1.5
     tabsheets.class.inc.php -v1.1
     translate.class.inc.php -v2.0.0 + google_translate.js -v2.0.0
-    users_groups.class.inc.php -v1.1
+    users_groups.class.inc.php -v1.2
     genericjs.class.inc.php -v1.0 + genericjs.js -v1.0
 
@@ -58,5 +58,5 @@
 define('GPC_PATH' , PHPWG_PLUGINS_PATH . GPC_DIR . '/');
 
-define('GPC_VERSION' , '2.0.4');
+define('GPC_VERSION' , '2.0.5');
 
 /*
Index: /extensions/grum_plugins_classes-2/tables.class.inc.php
===================================================================
--- /extensions/grum_plugins_classes-2/tables.class.inc.php	(revision 5423)
+++ /extensions/grum_plugins_classes-2/tables.class.inc.php	(revision 5424)
@@ -1,13 +1,13 @@
-<?php 
+<?php
 
 /* -----------------------------------------------------------------------------
   class name: manage_tables
-  class version: 1.4
-  date: 2008-12-28
+  class version: 1.5
+  date: 2010-03-28
   ------------------------------------------------------------------------------
-  author: grum at grum.dnsalias.com
+  author: grum at piwigo.org
   << May the Little SpaceFrog be with you >>
   ------------------------------------------------------------------------------
-  
+
   this class provides base functions to manage tables while plugin installation
     - constructor manage_tables($tables)
@@ -31,8 +31,9 @@
                         + $resultbooelan option for return
                     + add multi_queries($queries) function
-                    + add import($filename) function 
+                    + add import($filename) function
   v1.4 - 2009-03-01 + PHP5 migration (use of public/protected/private)
                     + export => DROP TABLE IF EXISTS
                     + import => if DROP TABLE without IF EXISTS, add IF EXISTS
+  v1.5 - 2010-03-28 + Uses piwigo pwg_db_* functions instead of mysql_* functions
 
    -------------------------------------------------------------------------- */
@@ -46,10 +47,10 @@
     $this->tables = $tables;
   }
-  
-  /* 
+
+  /*
       create tables
       $tables_def is an array of SQL CREATE queries
 
-      return true if everything is ok, otherwise tablename 
+      return true if everything is ok, otherwise tablename
   */
   public function create_tables($tables_def)
@@ -71,5 +72,5 @@
   }
 
-  /* update tables definition 
+  /* update tables definition
      $tables_alteration : array of arrays
       example :
@@ -81,5 +82,5 @@
         "attribute2" => " ADD COLUMN `attribute2` text null default ''"));
 
-      return true if no error, otherwise return table.fields of error 
+      return true if no error, otherwise return table.fields of error
   */
   public function update_tables_fields($tables_alteration)
@@ -98,7 +99,7 @@
       {
         $columns=array();
-        while($row=mysql_fetch_assoc($result))
-        { 
-          array_push($columns, $row['Field']); 
+        while($row=pwg_db_fetch_assoc($result))
+        {
+          array_push($columns, $row['Field']);
         }
 
@@ -121,5 +122,5 @@
 
 
-  /* 
+  /*
       delete tables listed in $this->tables_list
   */
@@ -170,5 +171,5 @@
     if($result)
     {
-      while($row=mysql_fetch_row($result))
+      while($row=pwg_db_fetch_row($result))
       {
         if(isset($list[$row[0]]))
@@ -207,5 +208,5 @@
                   if empty, assume that all tables have to be exported
       $infos : additional info written in exported file (as comment)
-      $resultboolean : if true, result is true/false ; 
+      $resultboolean : if true, result is true/false ;
                        if false, if result, return a string with nfo about export
   */
@@ -295,5 +296,5 @@
         if($result)
         {
-          while($row=mysql_fetch_row($result))
+          while($row=pwg_db_fetch_row($result))
           {
             $text.=sprintf("%s; -- EOQ\n", $row[1]);
@@ -316,5 +317,5 @@
           {
             $tmp=array();
-            while($row=mysql_fetch_row($result))
+            while($row=pwg_db_fetch_row($result))
             {
               $tmp[]=$row[0];
@@ -323,10 +324,10 @@
           $colnames='('.implode(',', $tmp).')';
         }
-    
+
         $sql='SELECT * FROM '.$this->tables[$key];
         $result=pwg_query($sql);
         if($result)
         {
-          while($row=mysql_fetch_row($result))
+          while($row=pwg_db_fetch_row($result))
           {
             foreach($row as $key2 => $val2)
@@ -403,5 +404,5 @@
     execute multiple query
       each query have to be separated by a "-- EOQ\n"
-      
+
       $queries : sql queries
   */
Index: /extensions/grum_plugins_classes-2/users_groups.class.inc.php
===================================================================
--- /extensions/grum_plugins_classes-2/users_groups.class.inc.php	(revision 5423)
+++ /extensions/grum_plugins_classes-2/users_groups.class.inc.php	(revision 5424)
@@ -3,6 +3,6 @@
 /* -----------------------------------------------------------------------------
   class name: allowed_access, groups, users
-  class version: 1.1
-  date: 2007-10-31
+  class version: 1.2
+  date: 2010-03-28
   ------------------------------------------------------------------------------
   author: grum at piwog.org
@@ -27,5 +27,5 @@
 | release | date       |
 | 1.1     | 2009/11/29 | add 'webmaster' status for users
-|         |            |
+| 1.2     | 2010/03/28 | Uses piwigo pwg_db_* functions instead of mysql_* functions
 |         |            |
 
@@ -240,5 +240,5 @@
     if($result)
     {
-      while($row=mysql_fetch_assoc($result))
+      while($row=pwg_db_fetch_assoc($result))
       {
         $this->access_list[$row['id']] =