Index: trunk/language/nl_NL/admin.lang.php
===================================================================
--- trunk/language/nl_NL/admin.lang.php	(revision 5434)
+++ trunk/language/nl_NL/admin.lang.php	(revision 5439)
@@ -24,8 +24,8 @@
 $lang['%d association'] = '%d associatie';
 $lang['%d associations'] = '%d associaties';
-$lang['%d category including'] = '%d categorie inclusief ';
-$lang['%d categories including'] = '%d categorieën inclusief ';
+$lang['%d category including'] = '%d categorie waarvan ';
+$lang['%d categories including'] = '%d categorieën waarvan ';
 $lang['%d physical'] = '%d fysiek';
-$lang['%d physical'] = '%d fysieke';
+$lang['%d physical'] = '%d fysiek';
 $lang[' and %d virtual'] = ' en %d virtueel';
 $lang[' and %d virtual'] = ' en %d virtueel';
@@ -68,6 +68,6 @@
 $lang['Categories ascending alphanumerically ordered'] = 'Categorieën alphanumeriek gesorteerd';
 $lang['Category elements associated to the following categories: %s'] = 'Categorie afbeeldingen gelinkt aan de volgende categorieën: %s';
-$lang['Check for upgrade failed for unknown reasons.'] = 'UpgradeControle is door onbekende reden niet (goed) uitgevoerd.';
-$lang['Check for upgrade'] = 'UpgradeControle';
+$lang['Check for upgrade failed for unknown reasons.'] = 'Upgradecontrole is door onbekende reden niet (goed) uitgevoerd.';
+$lang['Check for upgrade'] = 'Upgradecontrole';
 $lang['Comments for all'] = 'Commentaar voor alles';
 $lang['Controversy'] = 'Controversieel';
@@ -89,5 +89,5 @@
 $lang['Edit tags'] = 'Bewerk tags';
 $lang['Elements'] = 'Afbeeldingen';
-$lang['Email admins when a new user registers'] = 'Stuur email naar beheerders wanneer een nieuwe gebruiker zich heeft registreerd';
+$lang['Email admins when a new user registers'] = 'Stuur email naar beheerders wanneer een nieuwe gebruiker zich heeft geregistreerd';
 $lang['Email admins when a valid comment is entered'] = 'Stuur email naar beheerders wannneer een geldig commentaar is ingevuld';
 $lang['Email admins when a comment requires validation'] = 'Stuur email naar beheerders wanneer een commantaar validatie nodig heeft';
@@ -196,17 +196,17 @@
 $lang['add tags'] = 'Toevoegen tags';
 $lang['Adviser'] = 'Adviseer';
-$lang['associate to category'] = 'link aan categorie';
+$lang['associate to category'] = 'Link aan categorie';
 $lang['associate to group'] = 'Link aan groep';
 $lang['Authorized'] = 'Toegestaan';
 $lang['Add a virtual category'] = 'Voeg een virtuele categorie toe';
-$lang['Authorize users to add comments on selected categories'] = 'Gebruikers toestaan commentaar te geven op geselecteerde categorieën';
+$lang['Authorize users to add comments on selected categories'] = 'Selecteer categorieën waarop commentaar gegeven mag worden';
 $lang['The name of a category should not be empty'] = 'De naam van een categorie mag niet leeg zijn';
-$lang['Lock categories'] = 'Sluit categorieën';
+$lang['Lock categories'] = 'Beschikbaarheid van geselecteerde categorieën';
 $lang['Private category'] = 'Privé categorie';
-$lang['Public category'] = 'Publieke categorie';
+$lang['Public category'] = 'Openbare categorie';
 $lang['Find a new representant by random'] = 'Vindt een willekeurige nieuwe representant';
-$lang['Public / Private'] = 'Publiek / Privé';
+$lang['Public / Private'] = 'Openbaar / Privé';
 $lang['Manage authorizations for selected categories'] = 'Beheer toegang voor geselecteerde categorieën';
-$lang['Select uploadable categories'] = 'Selecteer uploadable categorieën';
+$lang['Select uploadable categories'] = 'Selecteer categorieën waarnaar geupload mag worden';
 $lang['Virtual category added'] = 'Virtuele categorie toegevoegd';
 $lang['Virtual category deleted'] = 'Virtuele categorie verwijderd';
@@ -230,12 +230,12 @@
 $lang['Authorize upload'] = 'Toestaan van uploads';
 $lang['elements per page'] = 'Afbeeldingen per pagina';
-$lang['elements'] = 'afbeeldingen';
+$lang['elements'] = 'Afbeeldingen';
 $lang['High definition enabled'] = 'Hoge kwaliteit ingeschakeld';
 $lang['File'] = 'Bestand';
 $lang['Filesize'] = 'bestandsgrootte';
 $lang['first element added on %s'] = 'eerste afbeelding toegevoegd op %s';
-$lang['Forbidden'] = 'Geweigerd';
+$lang['Forbidden'] = 'Niet toegestaan';
 $lang['General'] = 'Algemeen';
-$lang['global mode'] = 'algemene mode';
+$lang['global mode'] = 'Compact overzicht';
 $lang['group "%s" added'] = 'groep "%s" toegevoegd';
 $lang['group "%s" deleted'] = 'groep "%s" verwijderd';
@@ -251,6 +251,6 @@
 $lang['jump to image'] = 'Ga naar afbeelding';
 $lang['leave'] = 'Niet wijzigen';
-$lang['Lock'] = 'Sluiten';
-$lang['Locked'] = 'Gesloten';
+$lang['Lock'] = 'Open / Gesloten';
+$lang['Locked'] = 'Gesloten categorie';
 $lang['manage category elements'] = 'Beheer categorie-afbeeldingen';
 $lang['manage sub-categories'] = 'Beheer sub-categorie';
@@ -300,5 +300,5 @@
 $lang['Parameter'] = 'Parameter';
 $lang['Continue processing treatment'] = 'Verder gaan met de bewerking';
-$lang['Complementary mail content'] = 'Bijkomende emailinhoud';
+$lang['Complementary mail content'] = 'Bijkomende email-inhoud';
 $lang['Add detailed content'] = 'Toevoegen gedetailleerde inhoud';
 $lang['Send mail as'] = 'Stuur email als';
@@ -351,6 +351,6 @@
 $lang['remove tags'] = 'verwijder tags';
 $lang['Repair and optimize database'] = 'repareer en optimaliseer de database';
-$lang['selection'] = 'selectie';
-$lang['set to'] = 'instellen op';
+$lang['selection'] = 'Selectie';
+$lang['set to'] = 'Instellen op';
 $lang['singly represented'] = 'afzonderlijk vertegenwoordigd';
 $lang['This site already exists'] = 'Deze site bestaat al';
@@ -373,5 +373,5 @@
 $lang['target'] = 'Doel';
 $lang['Thumbnail'] = 'Mini-afbeelding';
-$lang['title'] = 'titel';
+$lang['title'] = 'Titel';
 $lang['Categories management'] = 'Categorie beheer';
 $lang['Piwigo configuration'] = 'Piwigo configuratie';
@@ -384,5 +384,5 @@
 $lang['Database synchronization with files'] = 'Database synchronisatie met bestanden';
 $lang['Pictures waiting for validation'] = 'Afbeeldingen die wachten op validatie';
-$lang['all'] = 'alles';
+$lang['all'] = 'Allen';
 $lang['pictures without thumbnail (jpeg and png only)'] = 'afbeeldingen zonder thumbnail (alleen jpeg en png)';
 $lang['height must be a number superior to'] = 'Hoogte moet groter zijn dan';
@@ -402,6 +402,6 @@
 $lang['total time'] = 'totale tijd';
 $lang['for this file format'] = 'voor dit bestandsformaat';
-$lang['unit mode'] = 'unit mode';
-$lang['Unlocked'] = 'Open';
+$lang['unit mode'] = 'Uitgebreid overzicht';
+$lang['Unlocked'] = 'Open categorie';
 $lang['unset'] = 'Niet ingesteld';
 $lang['Move up'] = 'verplaats naar boven';
@@ -439,6 +439,6 @@
 $lang['directories + files'] = 'mappen + bestanden';
 $lang['only directories'] = 'alleen mappen';
-$lang['synchronize files structure with database'] = 'synchroniseer bestanden met de database';
-$lang['synchronize files metadata with database elements informations'] = 'synchroniseer bestandsmetadata met de database afbeeldings-informatie';
+$lang['synchronize files structure with database'] = 'Synchroniseer bestanden met de database';
+$lang['synchronize files metadata with database elements informations'] = 'Synchroniseer bestandsmetadata met de database afbeeldings-informatie';
 $lang['even already synchronized elements'] = 'ook reeds synchroniseerde afbeeldingen';
 $lang['Used metadata'] = 'Gebruikte metadata';
@@ -550,9 +550,9 @@
 $lang['Check automatic corrections'] = 'Controleer de aoutomatische correcties';
 $lang['Apply selected corrections'] = 'Pas geselecteerde correcties toe';
-$lang['Ignore selected anomalies'] = 'Negeer geselecteerde anomalieën';
+$lang['Ignore selected anomalies'] = 'Negeer geselecteerde onregelmatigheden';
 $lang['Refresh'] = 'Ververs';
-$lang['The anomaly will be ignored until next application version'] = 'De anomalie worden genegeerd totdat de volgende versie';
-$lang['%d anomaly has been ignored.'] = '%d anomalie is genegeerd.';
-$lang['%d anomalies have been ignored.'] = '%d anomalieën zijn genegeerd.';
+$lang['The anomaly will be ignored until next application version'] = 'De onregelmatigheid wordt genegeerd tot de volgende versie';
+$lang['%d anomaly has been ignored.'] = '%d onregelmatigheid wordt genegeerd.';
+$lang['%d anomalies have been ignored.'] = '%d onregelmatigheden worden genegeerd.';
 $lang['Plugins which need upgrade'] = 'Plugins welke bijgewerkt moeten worden';
 $lang['Plugins up to date'] = 'Plugins zijn recent';
@@ -588,5 +588,5 @@
 $lang['Extensions'] = 'Extensies';
 $lang['Documentation'] = 'Documentatie';
-$lang['Upload'] = 'Upload';
+$lang['Upload'] = 'Uploads';
 $lang['Show upload link every time'] = 'Show upload link altijd';
 $lang['User access level to upload'] = 'Gebruiker toegangsniveau om te uploaden';
@@ -637,5 +637,5 @@
 $lang['Processing treatment.'] = 'In behandeling.';
 $lang['Please wait...'] = 'Even geduld aub...';
-$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Het corrigeren van de afwijking maakt een einde aan het negeren';
+$lang['Correction the anomaly will cancel the fact that it\'s ignored'] = 'Het corrigeren van de onregelmatigheid maakt een einde aan het negeren';
 $lang['manage image ranks'] = 'bewerk de afbeeldingsrangen';
 $lang['Manage image ranks'] = 'Bewerk de afbeeldingsrangen';
@@ -673,8 +673,8 @@
 $lang['Upload Photos'] = 'Upload Foto\'s';
 $lang['Drop into category'] = 'Toevoegen aan categorie';
-$lang['+ Add an upload box'] = '+ Voeg een upload-box toe';
+$lang['+ Add an upload box'] = 'Voeg een upload-fregel toe';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Maak de "%s" directory aan vanuit de root van uw Piwigo-installatie';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Geef schrijfrechten (chmod 777) aan de "%s" directory vanuit de root van uw piwigo installatie';
-$lang['existing category'] = 'bestaande categorie';
+$lang['existing category'] = 'Bestaande categorie';
 $lang['create a new category'] = 'Maak een nieuwe categorie aan';
 $lang['Category name'] = 'Categorienaam';
@@ -688,5 +688,5 @@
 $lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG bestanden of ZIP bestanden die JPEG bestanden bevatten aub.';
 $lang['Everybody'] = 'Iedereen';
-$lang['Who can see these photos?'] = 'Wie kan deze foto\'s zien?';
+$lang['Who can see these photos?'] = 'Wie mag deze foto\'s zien?';
 $lang['... or switch to the old style form'] = '... of schakel om naar het oude-stijl formulier';
 $lang['... or switch to the multiple files form'] = '... of schakel om naar het meervoudige bestanden formulier';
@@ -708,5 +708,5 @@
 $lang['Active Themes'] = 'Actieve Thema\'s';
 $lang['Add write access to the "%s" directory'] = 'Geef de "%s" directorie schrijfbevoegdheden';
-$lang['Administration Home'] = 'Administratie Beginpagina';
+$lang['Administration Home'] = 'Administratie Startpagina';
 $lang['Categories ordered alphanumerically'] = 'Categorieën alfanumeriek gesorteerd';
 $lang['Categories ordered alphanumerically reverse'] = 'Categorieën omgekeerd alfanumeriek gesorteerd';
@@ -717,5 +717,5 @@
 $lang['FTP + Synchronization'] = 'FTP + Synchronisatie';
 $lang['Get Support on Piwigo Forum'] = 'Krijg ondersteuning op het Piwigo Forum';
-$lang['Help Me'] = 'Help me';
+$lang['Help Me'] = 'Help';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Het is niet mogelijk dit thema te activeren, het basis-thema ontbreekt: %s';
 $lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Het is niet mogelijk dit thema te verwijderen. Er zijn nog andere thema\'s die aan dit thema gekoppeld zijn: %s';