Index: /trunk/language/it_IT/common.lang.php
===================================================================
--- /trunk/language/it_IT/common.lang.php	(revision 5458)
+++ /trunk/language/it_IT/common.lang.php	(revision 5459)
@@ -338,5 +338,5 @@
 // --------- Starting below: New or revised $lang ---- from version 1.7.1
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Lo status del\'utente "guest" non è conforme, viene usato lo status di default. Vogliate avvertire il webmaster.';
-// --------- Starting below: New or revised $lang ---- from Butterfly (1.8)
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Amministratore, webmaster et utente speciale non possono utilizzare questo metodo';
 $lang['a user use already this mail address'] = 'un utente usa già questo indirizzo mail';
@@ -370,6 +370,22 @@
 $lang['Sent by'] = 'Mandato da';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'I cookies sono bloccati o non sopportati dal vostro browser. Dovete attivare i cookie per connettervi.';
+
+$lang['Some info about this picture'] = 'Informazioni su quest\'immagine';
+$lang['Some more (technical) info about this picture'] = 'Informazioni (tecniche) su quest\'immagine';
+$lang['edit this comment'] = 'modificare questo commento';
+$lang['Edit a comment'] = 'Modificare un commento';
 $lang['Are you sure?'] = 'Sei sicuro?';
-$lang['delete this comment'] = 'cancellare commenti';
+$lang['(!) This comment requires validation'] = '(!) Questo commento deve essere convalidato';
+$lang['Welcome'] = 'Benvenuto';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Benvenuto sulla vostra galleria Piwigo !';
+$lang['... or browse your empty gallery'] = '... o navigate nella nostra galleria vuota';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... o disattivare questo messaggio, cè la farò dasolo';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Salve %s, la vostra galleria Piwigo è vuota!';
+$lang['I want to add photos'] = 'Voglio aggiungere delle immagini';
+$lang['Manage this user comment: %s'] = 'Gestire questo commento: %s';
+$lang['Email address is missing. Please specify an email address.'] = 'Manca l\'indirizzo Email. Vogliate specificarne uno.';
+$lang['This author modified following comment:'] = 'Questo autore a modificato il commento seguente:';
+$lang['This author removed the comment with id %d'] = 'Questo autore a cancellato il commento con  l\'ID %d';
+$lang['delete this comment'] = 'cancellare questo commento';
 $lang['validate this comment'] = 'convalidare questo commento';
 ?>
Index: /trunk/language/it_IT/install.lang.php
===================================================================
--- /trunk/language/it_IT/install.lang.php	(revision 5458)
+++ /trunk/language/it_IT/install.lang.php	(revision 5459)
@@ -22,4 +22,6 @@
 // +-----------------------------------------------------------------------+
 
+
+
 $lang['Installation'] = 'Installazione';
 $lang['Basic configuration'] = 'Configurazione di base';
@@ -28,21 +30,23 @@
 $lang['Admin configuration'] = 'Configurazione dell\'utente "Amministratore"';
 $lang['Start Install'] = 'Inizia l\'installazione';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'L\'indirizzo email deve essere del tipo xxx@yyy.eee (ad esempio: cippalippa@libero.rio)';
-
-$lang['Webmaster login'] = 'Amministratore';
-$lang['It will be shown to the visitors. It is necessary for website administration'] = 'verrà mostrato ai visitatori. È necessario per l\'amministrazione del sito';
-
-$lang['Parameters are correct'] = 'I parametri sono corretti';
-$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Connessione al server riuscita. Non è stato però possibile connettersi alla base dati';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'L\'indirizzo Email deve essere del tipo xxx@yyy.eee (ad esempio: cippalippa@libero.rio)';
+$lang['Webmaster login'] = 'Login dell\'amministratore';
+$lang['It will be shown to the visitors. It is necessary for website administration'] = 'Questo login verrà mostrato ai visitatori. Sarà necessario per amministrare il vostro sito';
+$lang['Parameters are correct'] = 'I parametri inseriti sono corretti';
+$lang['Connection to server succeed, but it was impossible to connect to database'] = 'Connessione al server riuscita, ma purtroppo non è stato possibile connettersi a questa base dati';
 $lang['Can\'t connect to server'] = 'Non è stato possibile connettersi al server';
-
-$lang['Host'] = 'MySQL host';
+$lang['The next step of the installation is now possible'] = 'Installazione: La tappa successiva è oramai possibile';
+$lang['next step'] = 'tappa successiva';
+$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = 'Copiate il testo in rosa trà i trattini e mettetelo nel file \"local/config/database.inc.php\" (Attenzione : il file database.inc.php non deve contenere altro CHE ciò che è in rosa tra i trattini, nessun ritorno a capo o spazio è autorizzato)';
+$lang['Database type'] = 'Tipo base dati';
+$lang['The type of database your piwigo data will be store in'] = 'Base dati nella quale saranno inseriti i dati di Piwigo';
+$lang['Host'] = 'Host';
 $lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, pluto.libero.it';
 $lang['User'] = 'Utente';
-$lang['user login given by your host provider'] = 'nome utente di login alla base dati fornito dal tuo provider';
+$lang['user login given by your host provider'] = 'nome utente di login alla base dati fornitovi dal vostro provider';
 $lang['Password'] = 'Password';
-$lang['user password given by your host provider'] = 'La password d\'accesso alla base dati fornita dal tuo provider';
+$lang['user password given by your host provider'] = 'La password d\'accesso alla base dati fornitavi dal vostro provider';
 $lang['Database name'] = 'Nome della base dati';
-$lang['also given by your host provider'] = 'fornitovi dal provider';
+$lang['also given by your host provider'] = 'fornitovi dal vostro provider';
 $lang['Database table prefix'] = 'Prefisso delle tabelle della base dati';
 $lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'Le tabelle della base dati lo avranno come prefisso (permette di gestire meglio le tabelle)';
@@ -51,20 +55,15 @@
 $lang['please enter your password again'] = 'Reinserire la password';
 $lang['Installation finished'] = 'Installazione completata';
-$lang['Webmaster password'] = 'Password';
-$lang['Keep it confidential, it enables you to access administration panel'] = 'da conservare con cura. Permette l\'accesso al pannello di amministrazione';
+$lang['Webmaster password'] = 'Password del webmaster';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'da conservare con cura. Permette l\'accesso al pannello d\'amministrazione';
 $lang['Password [confirm]'] = 'Password [confermare]';
 $lang['verification'] = 'verifica';
-$lang['Copy the text in pink between hyphens and paste it into the file "local/config/database.inc.php"(Warning : database.inc.php must only contain what is in pink, no line return or space character)'] = 'Copiate il testo in rosa trà i trattini e mettetelo nel file mysql.inc.php che si trova nella directory "include" alla base del vostro sito dove aveto installato Piwigo (il file mysql.inc.php non deve contenere altro che ciò che è in rosa tra i trattini, nessun ritorno a capo o spazio è autorizzato)';
-$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Bisogno di un aiuto? Visitate il <a href="%s">forum di Piwigo</a>.';
-$lang['install_end_message'] = 'La configurazione di Piwigo è conclusa. Procedete al prossimo step<br /><br />
-* collegatevi alla pagina d\'accesso e usare come nome d\'utente e password quello del Webmaster<br />
-* a questo punto sarete abilitati all\'accesso al pannello di amministrazione in cui troverete le istruzioni per l\'inserimento delle immagini nelle vostre directory';
-$lang['Webmaster mail address'] = 'Indirizzo email del Amministratore';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'i visitatori potranno contattarvi utilizzando questo indirizzo email';
-
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Bisogno di un aiuto? Visitate il <a href=\"%s\">forum di Piwigo</a>.';
+$lang['Webmaster mail address'] = 'Indirizzo Email del Amministratore';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Gli ospiti potranno contattarvi utilizzando questo indirizzo Email';
 $lang['PHP 5 is required'] = 'È necessario PHP 5';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Sembrerebbe che la versione del vostro server è PHP %s.';
 $lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo cerchrà di passare in PHP 5 creando o modificando il file .htaccess.';
-$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Notate che potete cambiare manualmente la configurazione e rilanciare Piwigo.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Notate che potete cambiare manualmente la configurazione PHP e rilanciare Piwigo.';
 $lang['Try to configure PHP 5'] = 'Provate a configuratre PHP 5';
 $lang['Sorry!'] = 'Spiacente!';
@@ -72,7 +71,4 @@
 $lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = 'Dovete contattare il votro provider per chiedere come configurare PHP 5.';
 $lang['Hope to see you back soon.'] = 'Sperando rivedervi prossimamente ...';
-
-$lang['The next step of the installation is now possible'] = 'Il prossimo step d\'installazione è oramail possibile';
-$lang['next step'] = 'step successivo';
-
+$lang['Congratulations, Piwigo installation is completed'] = 'Congratulazione, l\'installazione di Piwigo è finita';
 ?>